<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/expire_remark.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$expire_remark = new ExpireRemark($db);
$data = json_decode(file_get_contents("php://input"));
	

$expire_remark->invoice_no = $data->ino;
$expire_remark->date = $data->date;
$expire_remark->remark = $data->remark;
$expire_remark->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$expire_remark->entry_date_time = date("Y-m-d H:i:s");	


	if($expire_remark->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}

echo json_encode($arr);
?>